// pars_omis2.cpp - Parámetros por omisión
#include <iostream>
#include <cmath>

double raiz( double n, int = 2 );

int main()
{
  printf("%g\n", raiz(10)); // raíz cuadrada por omisión
  printf("%g\n", raiz(125, 3));
}

double raiz( double n, int r  )
{
  if (n < 0) return 0; // error: radicando negativo
  if (r < 1) return 0; // error: raíz no válida
  return pow(n, 1.0/r);
}

